SniffPass

SniffPass v1.07
Copyright (c) 2005 - 2008 Nir Sofer
Web site: http://www.nirsoft.net

Description

SniffPass is small utility that listens to your network, capture the passwords that pass through your network adapter, and display them on the screen instantly. SniffPass can capture the passwords of the following Protocols: POP3, IMAP4, SMTP, FTP, and HTTP (basic authentication passwords).
You can use this utility to recover lost Web/FTP/Email passwords.

Versions History

  • Version 1.07:
    • Added 'Clear' option.
  • Version 1.06:
    • Under Vista, automatically run as administrator.
  • Version 1.05:
    • Fixed bug: The main window lost the focus when the user switched to another application and then returned back to SniffPass.
  • Version 1.04:
    • Added support for saving as comma delimited file.
  • Version 1.03:
    • The configuration is now saved to a file, instead of the Registry.
  • Version 1.02:
    • Added support for Microsoft Network Monitor driver (Under Windows 2000/XP).
  • Version 1.01:
    • Added new option: Import from tcpdump/libpcap file. Allows you to view passwords stored in capture file created by Ethereal or by other capture program.
    • When running SniffPass in the first time, the first found network adapter with IP address is now automatically selected. (In previous version, the user had to select an adapter in order to start capturing)
  • Version 1.00 - First Release.

System Requirements

SniffPass can capture passwords on any 32-bit Windows operating system (Windows 98/ME/NT/2000/XP/2003/Vista) as long as WinPcap capture driver is installed and works properly with your network adapter.
Under Windows 2000/XP (or greater), SniffPass also allows you to capture TCP/IP packets without installing any capture driver, by using 'Raw Sockets' method. However, this capture method has the following limitation:
  • On Windows XP/SP1 passwords cannot be captured at all - Thanks to Microsoft's bug that appeared in SP1 update...
    This bug was fixed on SP2 update, but under Vista, Microsoft returned back the outgoing packets bug of XP/SP1.

Starting from version 1.02, you can also use the Network Monitor driver of Microsoft (Under Windows 2000/XP only) for capturing passwords. In order to install it, follow the instructions in Microsoft Web site.

Using SniffPass

In order to start using SniffPass, follow the instructions below:
  1. If you have Windows 9x, Windows NT, or Windows XP with SP1, you must download and install the WinPcap capture driver in order to use SniffPass.
    In all other versions of Windows (including Windows XP with SP2), installing this capture driver is optional. If you don't install this driver, you can still use the raw sockets method for capturing the passwords.
  2. Run the executable file of SniffPass (SniffPass.exe).
  3. From the File menu, select "Start Capture", or simply click the green play button in the toolbar. If it's the first time that you use SniffPass, you'll be asked to select the capture method and the network adapter that you want to use.
    After you select the desired capture options, SniffPass listen to your network adapter, and display instantly any password that it find.

Command-Line Options

Command | Description
/NoCapDriver | Starts SniffPass without loading the WinPcap Capture Driver.
/NoReg | Starts SniffPass without loading/saving your settings to the Registry.

Translating SniffPass to other languages

SniffPass allows you to easily translate all menus, dialog-boxes, and other strings to other languages.
In order to do that, follow the instructions below:
  1. Run SniffPass with /savelangfile parameter:
    SniffPass.exe /savelangfile
    A file named SniffPass_lng.ini will be created in the folder of SniffPass utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all menus, dialog-boxes, and string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run SniffPass, and all translated strings will be loaded from the language file.
    If you want to run SniffPass without the translation, simply rename the language file, or move it to another folder.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com